
import java.awt.*;
import javax.swing.*;
import alakzat.*;
import java.util.*;

public class SwingTeszt
{
  public static void main(String[] args)
  {
    JFrame főablak = new JFrame("a főablak címe");
    főablak.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    főablak.setSize(500, 500);

    főablak.setLayout(new BorderLayout());

    Kör k1 = new Kör(Alakzat.Szín.KÉK, 111.1, new Pont(222.2, 333.3));

    LinkedList<Kör>  l = new LinkedList<Kör>();
    l.add(k1);
    l.add(new Kör(Alakzat.Szín.KÉK, 11.1, new Pont(22.2, 33.3)));
    l.add(new Kör(Alakzat.Szín.KÉK, 54.1, new Pont(55.2, 55.3)));

    SajátPanel s = new SajátPanel(l);
    főablak.add(s, BorderLayout.CENTER);

    főablak.setVisible(true);
  }

}


class SajátPanel extends JPanel
{
  public SajátPanel(LinkedList<Kör> k)
  {
     super();
     this.körök = k;
  }

  public void paint(Graphics g)
  {
    Graphics2D g2 = (Graphics2D)g;
    for (Kör k : körök)   k.kirajzol(g2);
  }

  LinkedList<Kör> körök;
}
